package org.apache.blur.command;

import static org.junit.Assert.assertEquals;

import java.io.IOException;

import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with this
 * work for additional information regarding copyright ownership. The ASF
 * licenses this file to You under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
public class DocFreqCommandTest {
  private static IndexContext ctx;

  @BeforeClass
  public static void init() {
    ctx = CoreTestContext.newSimpleAlpaNumContext();
  }

  @Test
  public void termInAllDocsShouldBeCorrect() throws IOException {
    Long returned = new DocFreqCommand("val", "val").execute(ctx);
    Long expected = 26l;

    assertEquals(expected, returned);
  }
  
  @Test
  public void singleDocFreq() throws IOException {
    Long returned = new DocFreqCommand("alpha", "aa").execute(ctx);
    Long expected = 1l;
        
    assertEquals(expected, returned);    
  }
  


}
