/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.blur.shell;

import java.io.PrintWriter;

import org.apache.blur.thirdparty.thrift_0_9_0.TException;
import org.apache.blur.thrift.generated.Blur;
import org.apache.blur.thrift.generated.BlurException;

public class ShardClusterListCommand extends Command {
  @Override
  public void doit(PrintWriter out, Blur.Iface client, String[] args)
      throws CommandException, TException, BlurException {
    if (args.length != 1) {
      throw new CommandException("Invalid args: " + help());
    }

    out.println(client.shardClusterList());
  }

  @Override
  public String description() {
    return "List the clusters.";
  }

  @Override
  public String usage() {
    return "";
  }

  @Override
  public String name() {
    return "clusterlist";
  }
}
